man(1)

NAME
man - Programm zum Einsehen der Online-Manuale

SYNTAX
man [-acdhwutZV] [-m System[,...]] [-L locale] [-p Zeichenkette] [-M Pfad] [-P Pager] [-r Prompt] [-T Format] [-S Liste] [-e Erweiterung] [[Abschnitt] Seite ...] ...
man -l [-tZ] [-p Zeichenkette] [-P Pager] [-r Prompt] [-T Format] Datei ...
man -k Schlüsselwort ...
man -f Seite ...

BESCHREIBUNG
man ist der Manualbrowser des Systems. Jedes Argument Seite ist normalerweise der Name eines Programmes oder einer Funktion. Gefunden und angezeigt wird die Manualseite, die auf alle Argumente paßt. Wenn ein Abschnitt angegeben wird, sucht man nur in diesem Abschnitt der Manualseiten. Ohne Angabe eine explizite Angabe werden alle verfügbaren Abschnitte in einer vorher definierten Reihenfolge durchsucht. Wenn die Seite in mehreren Abschnitten vorkommt, wird nur die jeweils erste Seite angezeigt, die gefunden wird. Die folgende Tabelle zeigt die Nummern der Abschnitte der Manualseiten gefolgt vom Typ der dort zu findenden Seiten.
1 | Ausführbare Programme oder Shellbefehle
2 | Systemaufrufe (Kernelfunktionen)
3 | Bibliotheksaufrufe (Funktionen in System-Bibliotheken)
4 | Spezielle Dateien (gewöhnlich in /dev)
5 | Dateiformate und Konventionen, z. B. /etc/passwd
6 | Spiele
7 | Makropakete und Konventionen, z. B. man(7), groff(7)
8 | Systemadministrationsbefehle (in der Regel nur für root)
9 | Kernelroutinen [Nicht Standard]
n | neu [veraltet]
l | lokal [veraltet]
p | öffentlich [veraltet]
o | alt [veraltet]
Eine Manualseite besteht aus mehreren Teilen. Die üblichen Bezeichnungen sind u. a. NAME, SYNTAX, BESCHREIBUNG, OPTIONEN, DATEIEN, SIEHE AUCH, FEHLER, und AUTOR. Die folgenden Konventionen gelten für den Abschnitt SYNTAX und können für andere Abschnitte als Anleitung benutzt werden.
bold text | Literale Angaben wie in der Anzeige.
italic text | Ersetzen durch passendes Argument.
[-abc] | Ein oder mehrere Argumente innerhalb der [ ] sind optional.
-a|-b | Optionen, die durch | abgegrenzt sind, können nicht zusammen benutzt werden.
Argument ... | Argument kann wiederholt werden.
[Ausdruck] ... | gesamter Ausdruck innerhalb [ ] kann wiederholt werden.
Die Befehls- oder Funktionsbeispiele sind Muster, die auf alle möglichen Aufrufe passen sollten. In manchen Fällen ist es ratsam, die verschiedenen sich ausschließenden Aufrufe zu illustrieren, wie es im SYNTAX Abschnitt dieser Manualseite gezeigt ist.

BEISPIELE

man ls
    zeigt die Manualseite für das Programm ls an.

man -a intro
    zeigt alle vorhandenen intro Manualseiten an. Mit (q)uit ist es möglich, das aufeinanderfolgendende Anzeigen der Seiten abzubrechen oder mit (s)kip eine Seite zu überspringen.

man -t alias | lpr -Pps
    Formatiert die Manualseite, die sich auf alias bezieht, in das Default troff oder groff Format und schickt es an den Drucker ps. Die Defaultausgabe für groff ist Postscript. Das Default für troff - ditroff, benötigt weitere Bearbeitung durch grops, bevor es von einem Postscriptdrucker gedruckt werden kann. man --help sollte zu bestimmen helfen, welcher Prozessor an die -t Option gebunden ist.

man -l -Tdvi ./foo.1x.gz > ./foo.1x.dvi
    Dieser Befehl formatiert die komprimierte nroff-Manualseite ./foo.1x.gz in eine device independent (dvi) Datei. Diese Datei wird zuerst dekomprimiert, bevor sie durch passende Filter und Programme bearbeitet wird. Die Umlenkung ist notwendig, da die -T Option die Ausgabe unformatiert an die Standardausgabe schickt. Die Ausgabe kann mit einem Programm wie xdvi betrachtet oder mit einem Programm wie dvips in Postscript weiterverarbeitet werden.

man -k printf
    Sucht die Kurzbeschreibungen und die Namen der Manualseiten zum Schlüsselwort printf und gibt alle Treffer aus.

man -f smail
    Sucht die Manualseiten, die sich auf smail beziehen und gibt alle gefundenen Kurzbeschreibungen aus.

UEBERSICHT
Um dem Benutzer eine größtmögliche Flexibilität zu bieten, sind in man viele Optionen verfügbar. Veränderungen können am Suchpfad, in der Reihenfolge der Abschnitte oder am Ausgabeprozessor vorgenommen werden. Andere Verhaltensweisen und Operationen sind weiter unten beschrieben. Um die Arbeitsweise von man zu bestimmen, werden verschiedene Umgebungsvariablen benutzt. Mit dieser Version ist es möglich, die Variable $MANOPT auf einen Ausdruck im Kommandozeilenformat zu setzen. Es gibt folgende Ausnahme: Da jede Option in $MANOPT von Leerzeichen eingeschlossen ist, müssen Leerzeichen, die Teil eines Argumentes sind, gequotet werden. man bearbeitet diese Variable vor der eigenen Kommandozeile. Die Optionen, die ein Argument benötigen, können durch die gleichen Optionen in der Kommandozeile überschrieben werden. Um alle Optionen zurückzusetzen, die in $MANOPT gesetzt werden, kann -D als initiale Kommandozeilen-Option angegeben werden. Dies erlaubt man alle Optionen zu `überschreiben', die in $MANOPT gesetzt werden, obwohl diese weiterhin gelten. Damit wird die größtmögliche Flexibilität für einen Benutzer erzeugt, der man auf seine eigenen Bedürfnisse anpassen will, ohne zahllose Optionen bei der Suche einer Manualseite einzugeben. Die Hilfsprogramme, die im man_db- Paket zusammengefaßt sind, machen umfassenden Gebrauch von Indexdatenbanken. Diese Zwischenspeicher enthalten Informationen über den Ort und die zugehörige whatis Information (einzeilige Kurzbeschreibung der Manualseite), sowie darüber, wo sich eine Manualseite im Dateisystem befindet. Eine Aufgabe von man ist die Konsistenzsicherung der Datenbank. Die Datenbanken verhindern die Notwendigkeit einer manuellen Bearbeitung zur Aktualisierung der whatis- Textdatenbank und erlauben man schneller zu arbeiten, als bei der Suche nach der passenden Manualseite im gesamten Dateisystem. Wenn man keine von mandb erstellte Indexdatenbank zu einer speziellen Manualhierarchie finden kann, wird dennoch nach der gewünschten Manualseite gesucht. In diesem Fall ist es jedoch wieder nötig, nach der alten Methode alle in Frage kommenden Verzeichnisse zu durchsuchen (sog. globbing). Wenn whatis oder apropos keine Indexdatenbank finden können, versucht es die Information aus der whatis- Datenbank zu beziehen. Auch anwenderspezifische Manualhierarchien werden während der Benutzung in Indexdatenbanken zusammengefaßt. Die Hilfsprogramme unterstützen komprimierte nroff-Quelldateien, die normalerweise die Erweiterung .Z, .z oder .gz besitzen. Jede andere Erweiterung kann unterstützt werden, wenn sie zur Übersetzungszeit bekannt ist. Als Default werden alle cat-Seiten mit gzip komprimiert. Jede globale Manualhierarchie wie /usr/man oder /usr/X11R6/man kann jedes Verzeichnis als cat-Seiten-Hierarchie besitzen. Üblicherweise werden cat-Seiten unter der gleichen Hierarchie wie die Manualseiten gespeichert. Allerdings kann es aus Gründen, die im Linux File System Standard (FSSTND) erläutert sind, besser sein, sie an anderer Stelle zu speichern. Details, wann dies der Fall ist, beschreibt manpath(5). Für Details, warum dies empfohlen wird, siehe den Linux File System Standard (FSSTND). Dieses Paket unterstützt internationale Anpassungen (sog. NLS-Support, Native Language Support). Durch den Gebrauch von locale Funktionen ist es möglich, Manualseiten der Landessprache zu verwalten, wenn sie auf dem System vorhanden sind. Um diese Unterstützung zu aktivieren, muß man entweder in $LC_MESSAGES, $LANG oder anderen systemabhängigen Umgebungsvariablen die gewünschte Sprache einstellen. Die Sprache wird normalerweise in dem durch POSIX 1003.1 definierten Format angegeben: <Sprache>[ _ <Region>[ . <Zeichensatz>[ , <Version>]]] Wenn die angeforderte Seite in der locale vorhanden ist, wird sie anstelle der Standardseite (normalerweise in amerikanischem Englisch) angezeigt. Darüber hinaus werden auch Sammlungen von landessprachlichen Systemmeldungen unterstützt und auf dieselbe Weise aktiviert - ebenfalls unter der Vorraussetzung, daß die übersetzten Meldungen vorliegen. Wer diese Manualseiten und die Ausgaben der Hilfsprogramme gerne in seiner Landessprache hätte, aber diese nicht vorfindet, ist aufgefordert, eine Übersetzung anzufertigen und sie dem Autor zuzusenden, damit spätere Versionen davon profitieren können. Die anderen Eigenschaften und Erweiterungen von man sind in den beiliegenden Dokumenten beschrieben. Einen umfassenden Einblick in die mandb zugrundeliegenden Konzepte sind in der Dokumentation man_db-2.3 - the database cached manual pager suite beschrieben. Die Dokumentation sollte auf denselben Server wie das mandb- Paket selbst zu finden sein.

NORMALEINSTELLUNGEN
man sucht nach der gewüschten Manualseite in der Indexdatenbank. Wenn die Suche fehlschlägt, wird ein Konsistenztest durchgeführt, um die korrekte Wiedergabe des Dateisystems zu sichern. Nachdem die Datenbanken erzeugt wurden, ist es i. A. nicht notwendig, mandb zu starten, es sei denn, die Datenbank wurde verfälscht. Wenn eine Manualseite gefunden wurde, wird getestet, ob dazu bereits eine vorformatierte cat-Seite existiert und diese neuer als die nroff-Datei ist. In diesem Fall wird die vorformatierte Datei dekomprimiert und mit einem Browser angezeigt. Die Auswahl des Browsers kann auf unterschiedliche Weise erfolgen (für Details siehe -P Option). Wenn keine cat-Seite gefunden wird oder wenn sie älter als die nroff-Datei ist, wird die nroff-Datei durch diverse Programme gefiltert und entweder sofort angezeigt oder zuerst als komprimierte cat-Datei gespeichert und dann angezeigt. Eine cat-Datei wird erzeugt, wenn ein relatives cat-Verzeichnis existiert und man dort das Schreibrecht hat. Die Filter werden in mehreren Schritten zusammengestellt: Zuerst wird die Kommandozeilen-Option -p oder die Umgebungsvariable $MANROFFSEQ untersucht. Wenn -p nicht benutzt wird und die Umgebungsvariable nicht gesetzt ist, wird die Anfangszeile der nroff-Datei nach einer Zeichenkette für den Präprozessor untersucht. Eine solche Präprozessor-Zeichenkette muß folgendes Aussehen haben: '\" <Zeichenkette> wobei Zeichenkette jede Kombination von Buchstaben sein kann, die unter Option -p weiter unten beschrieben sind. Wenn keine der obigen Methoden eine Filter-Information enthält, wird tbl als Default verwendet. Als primärer Formatierer wird entweder nroff, troff oder groff gestartet.

OPTIONEN
Eine Argumentoption, die entweder in der Kommandozeile, in $MANOPT oder in beiden doppelt vorkommt , ist nicht schädlich. Für Optionen, die ein Argument benötigen, überschreibt jedes Duplikat den vorhergehenden Wert.

-l, --local-file
    Aktiviert den lokalen Modus. Formatiert und zeigt lokale Manualdateien an, anstatt die System-Manualsammlung zu durchsuchen. Jedes Manualseiten-Argument wird als nroff-Quelle im richtigen Format interpretiert. Komprimierte nroff-Quelldateien mit einer unterstützten Kompressions-Erweiterung werden von man dekomprimiert, bevor sie über den üblichen Filter angezeigt werden. Es wird keine cat-Datei erzeugt. Wenn eines der Argumente `-' ist, wird die Eingabe von der Standardeingabe übernommen.

-L locale, --locale=locale
    Normalerweise bestimmt man die aktuelle locale durch einen Aufruf der C Funktion setlocale (3), die diverse Umgebungsvariablen, darunter u. U. $LC_MESSAGES und $LANG untersucht. Diese Funktion kann dazu verwendet werden, kurzzeitig den so gefundenen Wert zu überschreiben. Dazu kann diese Option mit einer Zeichenkette, die die temporäre locale enthält, angegeben werden. Man beachte, daß dieser Effekt erst beim konkreten Suchen der Seite in Erscheinung tritt. Daher werden Ausgaben wie die Hilfeseite immer in der ursprünglichen Sprache ausgegeben.

-D, --default
    Diese Option wird normalerweise nur als allererste angegeben und setzt das Verhalten von man in allen Belangen wieder zum Normalverhalten zurück. Der Zweck dieser Option ist es, Optionen wieder rückgängig zu machen, die bereits in der Umgebungsvariable $MANOPT gesetzt sind. Alle Optionen, die -D folgen, haben wieder ihren gewohnten Effekt.

-M Pfad, --manpath=Pfad
    Ermöglicht es, einen alternativen Manualpfad anzugeben. Normalerweise verwendet man dieselben Methoden wie in manpath, um den Suchpfad zu ermitteln. Diese Option überschreibt die Umgebungsvariable $MANPATH.

-P Pager, --pager=Pager
    Gibt an, welcher Pager verwendet wird. Die Normaleinstellung ist exec /usr/bin/pager -s. Diese Option überschreibt die Umgebungsvariable $PAGER und wird nicht in Zusammenhang mit -f oder -k verwendet.

-r Prompt, --prompt=Prompt
    Wenn eine hinreichend neue Version von less als Pager verwendet wird, versucht man dort einige sinnvolle Optionen zu setzen. Die Eingabeaufforderung in der letzten Zeile sieht in dem Fall so aus:

    Manual page name(sec) line x, wobei name die Manualseite bezeichnet, die gerade angezeigt wird, sec der Abschnitt ist, in dem sie gefunden wurde, und x die aktuelle Zeilennummer ist. Diese Anzeige wird durch Verwendung der Umgebungsvariable $LESS erreicht. Man beachte, daß einzelne Bezeichnungen sich bei der Verwendung von landessprachlichen Meldungen ändern können. Die Option -r ermöglicht es, durch Angabe einer Formatierungszeichenkette, das Ausgabeformat selbst zu bestimmen. Wenn diese Zeichenkette $MAN_PN enthält, wird dieser Text durch den Namen der Manualseite gefolgt von der Abschnittsnummer in runden Klammern ersetzt. Die Zeichenkette, die im Normalfall verwendet wird ist: \ Manual\ page\ \$MAN_PN\ ?ltline\ %lt?L/%L.:
    byte\ %bB?s/%s..?\ (END):?pB %pB\\%.. Die zweizeilige Darstellung wurde nur der besseren Lesbarkeit wegen gewählt. Nähere Informationen liefert less(1). Da die Zeichenkette zuerst vom Kommandointerpreter ausgewertet wird, müssen entsprechende Zeichen durch einen Backslash geschützt werden. Weitere Optionen für less können nach einem geschützten $ am Ende der Zeichenkette hinzugefügt werden. Der Default ist hier -ix8.

-S Liste, --sections=Liste
    Eine durch Doppelpunkte getrennte Liste von Abschnitten definiert bei Benutzung dieser Option die Reihenfolge, in der die Abschnitte durchsucht werden. Diese Option überschreibt die Umgebungsvariable $MANSECT.

-a, --all
    Wird eine Manualseite in einem Abschnitt gefunden, so terminiert man nach Anzeige dieser Seite. Wird jedoch diese Option angegeben, so werden alle passenden Manualseiten nacheinander angezeigt.

-c, --catman
    Diese Option überprüft nur, ob die zur angegebenen Manualseite passende cat-Seite aktuell ist und erzeugt ggf. eine neue. Es wird dabei nichts angezeigt.

-d, --debug
    Bei dieser Option werden keine Manualseiten angezeigt, sondern nur eine Menge von Diagnoseinformation.

-e Erweiterung, --extension=Erweiterung
    Einige Systeme enthalten große Pakete an Manualseiten, wie z. B. in dem Tcl Paket, die in die normalen Manualabschnitte integriert werden. Um beispielsweise das Problem zweier unterschiedlicher Manualseiten mit gleichem Namen, wie exit(3), zu lösen, wurden früher alle Tcl Seiten dem Abschnitt l zugeordnet. Dieses erwies sich als keine gute Lösung. Bei dieser Version von man ist es möglich, die Seiten in die richtigen Abschnitte einzuordnen und ihrem Seitennamen eine spezifische Erweiterung, hier z. B. exit(3tcl) anzuhängen. Unter normalen Umständen zeigt man bevorzugt exit(3) gegenüber exit(3tcl) an. Um dieses Verhalten umzukehren, ist man die Zeichenkette Erweiterung zu übergeben, die angibt, in welchem Paket die Manualseite zu finden ist. Im obigen Fall beschränkt man seine Suche auf Seiten mit der Erweiterung *tcl, wenn es mit -e tcl aufgerufen wurde. Die Suche wird dabei in allen Abschnitten durchgeführt.

-f, --whatis
    Diese Option ist das Äquivalent zu whatis. Es wird eine Kurzbeschreibung der gewünschten Manualseite angezeigt, wenn sie gefunden wurde. Zu Details siehe whatis(1). Mit dieser Option ist nur eine Standardsuche möglich. Verbesserte Suchmöglichkeiten bieten die Optionen von whatis.

-k, --apropos
    Diese Option ist das Äquivalent zu apropos. Es werden die Kurzbeschreibungen zu allen Manualseiten nach dem angegebenen Stichwort durchsucht. Zu Details siehe apropos(1). Mit dieser Option ist nur eine Standardsuche möglich. Verbesserte Suchmöglichkeiten bieten die Optionen von apropos.

-m System [,...], --systems=System [,...]
    Wenn auch Manualseiten von einem anderen Betriebssystem installiert sind, so kann auf sie mit dieser Option zugegriffen werden. Um beispielsweise die Manualseiten von NewOS zu durchsuchen, muß -m NewOS angegeben werden. Das angegebene System kann eine durch Kommata abgetrennte Aufzählung von Betriebssystemnamen sein. Die normalen Seiten werden durch den Betriebssystemnamen man angesprochen. Diese Option überschreibt die Umgebungsvariable $SYSTEM.

-p Zeichenkette, --preprocessor=Zeichenkette
    Diese Option gibt die Reihenfolge an, in der die Präprozessoren vor nroff oder troff/groff abgearbeitet werden. Nicht alle Installationen haben notwendigerweise alle Präprozessoren. Einige der Präprozessoren und die Zeichen, um sie zu repräsentieren, sind: eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r). Diese Option überschreibt die Umgebungsvariable $MANROFFSEQ. Der Präprozessor zsoelim wird immer als erster gestartet.

-u, --update
    Die Indexdatenbanken werden immer während des laufenden Betriebes auf neuestem Stand gehalten, was insbesondere bedeutet, daß mandb nicht benötigt wird, um sie konsistent zu halten. Wenn die ausgewählte Manualseite nicht im Index gefunden wurde oder die -a Option verwendet wurde, macht man einen Konsistenztest auf Verzeichnisebene, um sicherzustellen, daß der Index immer noch eine gültige Repräsentation der Manualseiten im Dateisystem darstellt. Wenn dieser Test auf Inode-Ebene durchgeführt werden soll, muß man die Option -u benutzen.

-t, --troff
    Mit dieser Option wird /usr/bin/groff -mandoc verwendet, um die Manualseite zu formatieren und an die Standardausgabe zu liefern. Im Zusammenhang mit -T oder -Z ist diese Option nicht nötig.

-T Format, --troff-device [=Format]
    Diese Option wird dazu verwendet, um das Ausgabeformat von groff (oder möglicherweise troff) zu ändern. Diese Option impliziert die Angabe von -t. Verfügbare Ausgabeformate (von Groff-1.09) beinhalten dvi, latin1, X75 und X100.

-Z, --ditroff
    Das traditionelle troff erzeugt ditroff. groff startet zunächst troff und leitet danach dessen Ausgabe an einen für das gewählte Ausgabeformat geeigneten Postprozessor weiter. Wenn /usr/bin/groff -mandoc groff ist, zwingt diese Option groff dazu, traditionelles troff zu emulieren und impliziert -t, andernfalls wird es ignoriert.

-w, --where, --location
    Zeigt nicht die Manualseiten, sondern die Position der Dateien im Dateisystem an, die formatiert oder angezeigt würden. Wenn die Datei eine cat-Seite ist, wird auch der Ort ihrer nroff-Quelldatei angezeigt.

-h, --help
    Zeigt einen Hilfstext an.

-V, --version
    Zeigt Programmversion und Autor an.

UMGEBUNG

MANPATH
    Wenn $MANPATH gesetzt ist, wird dessen Wert als Suchpfad für die Manualseiten benutzt.

MANROFFSEQ
    Wenn $MANROFFSEQ gesetzt ist, wird dessen Wert benutzt, um die Abfolge der Präprozessoren zu bestimmen, die jede Manualseite vor nroff oder troff durchläuft. Als Default durchlaufen die Seiten den tbl (t) Präprozessor.

MANSEC
    Wenn der Wert von $MANSEC eine durch Doppelpunkte getrennte Liste von Abschnitten ist, wird dieser Wert dazu benutzt, um die zu durchsuchenden Abschnitte und deren Reihenfolge zu bestimmen.

PAGER
    Wenn $PAGER gesetzt ist, wird dieses Programm zur Anzeige benutzt. Default ist exec /usr/bin/pager -s .

SYSTEM
    Wenn $SYSTEM gesetzt ist, hat dies den gleichen Effekt wie die Option -m System wobei System als Inhalt der Umgebungsvariable $SYSTEM benutzt wird.

MANOPT
    Wenn $MANOPT gesetzt ist, wird der Wert dieser Variablen vor der man Kommandozeile durchsucht und abgearbeitet. Wie auch alle anderen Umgebungsvariablen, die als Kommandozeilen-Optionen ausgedrückt werden können, ist es möglich, den Inhalt von $MANOPT durch die Kommandozeile zu überschreiben. Alle Leerzeichen, die Teil eines Argumentes sind, müssen gequotet werden.

LANG, LC_MESSAGES
    Abhängig von System und Implementation werden entweder $LANG oder $LC_MESSAGES oder beide nach der gegenwärtigen locale Information durchsucht. man wird (wenn möglich) seine Nachrichten in dieser locale anzeigen. Für Details siehe setlocale(3).

DATEIEN

/etc/manpath.config
    Die Manualkonfigurationsdatei.

/usr/.../man
    Globale Manualhierarchien.

/var/catman/.../index.(bt|db|dir|pag)
    Die FSSTND complianten globalen Indexdatenbanken.

SIEHE AUCH
mandb(8), manpath(1), manpath(5), apropos(1), whatis(1), catman(8), less(1), nroff(1), troff(1), groff(1), zsoelim(1), setlocale(3), man(7), ascii(7), latin1(7).

FEHLER
Die Option -t funktioniert nur, wenn ein troff-ähnliches Programm installiert ist. Die Option -e funktioniert momentan nur in Manualhierarchien, für die mit mandb eine Indexdatenbank erzeugt wurde. Manualseiten, die die erweiterte Darstellung im Zusammenhang mit der Option -e unterstützen, dürfen keinen Punkt beinhalten, denn sonst werden diese Seiten als fehlerhaft zurückgewiesen.

GESCHICHTE
1990, 1991 - Originale geschrieben von John W. Eaton (jwe@che.utexas.edu). 23. Dez. 1992: Fehlerbereinigung durch Rik Faith (faith@cs.unc.edu) unterstützt durch Willem Kasdorp (wkasdo@nikhefk.nikef.nl). Zwischen dem 30. April 1994 und dem 23. Februar 2000 hat Wilf (G.Wilford@ee.surrey.ac.uk) unter Mithilfe von einigen wenigen engagierten Menschen dieses Paket entwickelt und weitergeführt. Die deutsche Übersetzung wurde von Anke Steuernagel (a_steuer@informatik.uni-kl.de) und Nils Magnus (magnus@informatik.uni-kl.de) angefertigt. Für persönliche Würdigungen und Zusätze siehe Quelltexte.